<!DOCTYPE HTML PUBLIC "-//W3C/DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@page contentType="text/html" pageEncoding="UTF-8" %>
<%@page language="java" import="java.util.Locale" %>

<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>File Download</title>
    <script type="text/javascript" language="Javascript">
      /**
       * If a download id is found, this function calls the utility function to
       * allow the user to download the file stored in the session.
       */
      function download() {
        //get element that stores download id
        var elem = document.getElementById("f:id");
        var id = elem.value;

        if (id != "") { //valid download id found
          //show download window using argument title, download id & custom download jsp file
          adf.UploadUtil.showDownloadWindow("Download Points", id, "download_txt.jsp");

          //reset download id
          elem.value = "";
        }
      }
	</script>
	
      <link rel="stylesheet" href="css/adf.css" type="text/css" media="screen"></link>
      <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
      <script type="text/javascript">
        adfdojo.require("adf.adf");
        adfdojo.requireLocalization("resource","adf");
      </script>

  </head>
  <body onload="download()">
    <f:view>
      <h:form id="f">
        <a:context id="mapContext" value="#{mapContext}" />
        <!-- Toolbar to allow users to zoom/pan and add points to the map -->
        <a:toolbar id="tb" mapId="map" toolbarStyle="TEXT">
          <a:tool id="pan" clientAction="adf.MapContinuousPan" serverAction="com.esri.adf.web.faces.event.PanToolAction" toolText="Pan" />
          <a:tool id="zi" clientAction="adf.MapRectangle" serverAction="com.esri.adf.web.faces.event.ZoomInToolAction" toolText="Zoom In" />
          <a:tool id="zo" clientAction="adf.MapRectangle" serverAction="com.esri.adf.web.faces.event.ZoomOutToolAction" toolText="Zoom Out" />
          <a:command id="ze" toolText="Full Extent">
            <f:actionListener type="com.esri.adf.web.faces.event.ZoomFullExtentListener" />
          </a:command>
          <a:tool id="pt" clientAction="adf.MapPoint" serverAction="com.esri.arcgis.sample.upload.PointTool" toolText="Add Point" />
        </a:toolbar>

        <!-- Map control -->
        <a:map value="#{mapContext.webMap}" id="map" width="450" height="450" />

        <!-- JSF controls to set download id to bean and then process action -->
        <br />
        <h:inputHidden id="id" value="#{downloadBean.id}" />
        <h:commandButton id="downloadPoints" value="Download Points" action="#{downloadBean.downloadPoints}" />
      </h:form>
    </f:view>
  </body>
</html>