<!DOCTYPE HTML PUBLIC "-//W3C/DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@page contentType="text/html" pageEncoding="UTF-8" %>
<%@page language="java" import="java.util.Locale" %>

<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>File Upload</title>
    <script type="text/javascript" language="Javascript">
      /**
       * This function handles what is to be done with the uploaded file. In this
       * case, set the filename, the upload id and click the add points button
       * to submit the page to the server.
       */
      function handleUpload(filename, id) {
        //set filename, upload id and click 'Add Points' button
        document.getElementById("f:filename").value = filename;
        document.getElementById("f:id").value = id;
        document.getElementById("f:uploadPoints").click();
      }
    </script>
    
    <link rel="stylesheet" href="css/adf.css" type="text/css" media="screen"></link>
    <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
    <script type="text/javascript">
      adfdojo.require("adf.adf");
      adfdojo.requireLocalization("resource","adf");
    </script>

  </head>
  <body>
    <f:view>
      <h:form id="f">
        <a:context value="#{mapContext}" />
        <!-- Toolbar to allow users to zoom/pan into the map -->
        <a:toolbar id="tb" mapId="map" toolbarStyle="TEXT">
          <a:tool id="pan" clientAction="adf.MapContinuousPan" serverAction="com.esri.adf.web.faces.event.PanToolAction" toolText="Pan" />
          <a:tool id="zi" clientAction="adf.MapRectangle" serverAction="com.esri.adf.web.faces.event.ZoomInToolAction" toolText="Zoom In" />
          <a:tool id="zo" clientAction="adf.MapRectangle" serverAction="com.esri.adf.web.faces.event.ZoomOutToolAction" toolText="Zoom Out" />
          <a:command id="ze" toolText="Full Extent">
            <f:actionListener type="com.esri.adf.web.faces.event.ZoomFullExtentListener" />
          </a:command>
        </a:toolbar>

        <!-- Map control -->
        <a:map value="#{mapContext.webMap}" id="map" width="450" height="450" />

        <br />
        <!-- HTML button to pop-up dialog to allow users to upload file -->
        <input type="button" value="Upload Points" onclick="adf.UploadUtil.showUploadWindow('Upload points file', handleUpload)" />

        <!-- JSF controls to set filename & upload id to bean and then process action -->
        <h:inputHidden id="filename" value="#{uploadBean.filename}" />
        <h:inputHidden id="id" value="#{uploadBean.id}" />
        <h:commandButton id="uploadPoints" value="Upload" action="#{uploadBean.drawPoints}" style="display:none;" />
      </h:form>
    </f:view>
  </body>
</html>